package com.palmnest.dao.washcar;

import com.palmnest.dao.GenericDao;
import com.palmnest.model.washcar.ExtraService;

import java.util.List;


/**
 * 额外服务设置dao
 *
 * @author longmeizhen
 */
public interface ExtraServiceDao extends GenericDao<ExtraService, Long> {

	public Integer deleteExtra(Long id, String userId) throws Exception;

	public List<ExtraService> getExtraBySetId(Long setId) throws Exception;

	public List<ExtraService> findByProSetId(Long proSetId);

	public List<ExtraService> findByProSetIdandNotIsOther(Long proSetId) throws Exception;
}
